package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_scrap_report
 * 
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_scrap_report")
public class TScrapReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("GOODS_ID")
    private String goodsId;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("GOODS_NAME")
    private String goodsName;

    /** 托盘号 */
    @Excel(name = "托盘号")
    @TableField("CTL")
    private String ctl;

    /** 库位 */
    @Excel(name = "库位")
    @TableField("LOCATION")
    private String location;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("PRODUCTLOTID")
    private String productlotid;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("SHELFNUM")
    private String shelfnum;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("PRODUCTIONDATE")
    private Date productiondate;

    /** 有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("EXPIRATIONDATE")
    private Date expirationdate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("CREATETIME")
    private Date createtime;

    /** 操作人员姓名 */
    @Excel(name = "操作人员姓名")
    @TableField("USERNAME")
    private String username;

    /** 起始状态 */
    @Excel(name = "起始状态")
    @TableField("FROMSTATUS")
    private String fromstatus;

    /** 目标状态 */
    @Excel(name = "目标状态")
    @TableField("TOSTATUS")
    private String tostatus;

    /** 报废记录编号 */
    @TableId(value = "SCRAPID", type = IdType.ASSIGN_UUID)
    private String scrapid;

    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setCtl(String ctl) 
    {
        this.ctl = ctl;
    }

    public String getCtl() 
    {
        return ctl;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setProductlotid(String productlotid) 
    {
        this.productlotid = productlotid;
    }

    public String getProductlotid() 
    {
        return productlotid;
    }
    public void setShelfnum(String shelfnum) 
    {
        this.shelfnum = shelfnum;
    }

    public String getShelfnum() 
    {
        return shelfnum;
    }
    public void setProductiondate(Date productiondate) 
    {
        this.productiondate = productiondate;
    }

    public Date getProductiondate() 
    {
        return productiondate;
    }
    public void setExpirationdate(Date expirationdate) 
    {
        this.expirationdate = expirationdate;
    }

    public Date getExpirationdate() 
    {
        return expirationdate;
    }

    public void setCreatetime(Date createtime)
    {
        this.createtime = createtime;
    }

    public Date getCreatetime()
    {
        return createtime;
    }

    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setFromstatus(String fromstatus) 
    {
        this.fromstatus = fromstatus;
    }

    public String getFromstatus() 
    {
        return fromstatus;
    }
    public void setTostatus(String tostatus) 
    {
        this.tostatus = tostatus;
    }

    public String getTostatus() 
    {
        return tostatus;
    }
    public void setScrapid(String scrapid) 
    {
        this.scrapid = scrapid;
    }

    public String getScrapid() 
    {
        return scrapid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("ctl", getCtl())
            .append("location", getLocation())
            .append("productlotid", getProductlotid())
            .append("shelfnum", getShelfnum())
            .append("productiondate", getProductiondate())
            .append("expirationdate", getExpirationdate())
            .append("createtime", getCreateTime())
            .append("username", getUsername())
            .append("fromstatus", getFromstatus())
            .append("tostatus", getTostatus())
            .append("scrapid", getScrapid())
            .toString();
    }
}
